Name:           perl-Devel-CallParser
Version:        0.002
Release:        6%{?dist}
Summary:        Custom parsing attached to subroutines
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-CallParser/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Devel-CallParser-%{version}.tar.gz
BuildRequires:  perl >= 0:5.011002
BuildRequires:  perl(Devel::CallChecker) >= 0.002
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(DynaLoader::Functions) >= 0.001
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests
# Disable optional BR, because it failed with Perl 5.22.0
#BuildRequires:  perl(Data::Alias) >= 1.13
BuildRequires:  perl(Devel::Declare) >= 0.006004
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.15
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(indirect) >= 0.27
BuildRequires:  perl(IO::File) >= 1.03
BuildRequires:  perl(Lexical::Sub)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(Devel::CallChecker) >= 0.002
Requires:       perl(DynaLoader)
Requires:       perl(DynaLoader::Functions) >= 0.001
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Conflicts:      perl(Data::Alias) < 1.13
Conflicts:      perl(Devel::Declare) < 0.006004
Conflicts:      perl(indirect) < 0.27

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::CallChecker\\)

%description
This module provides a C API, for XS modules, concerned with custom
parsing. It is centered around the function cv_set_call_parser, which allows
XS code to attach a magical annotation to a Perl subroutine, resulting in
resolvable calls to that subroutine having their arguments parsed by
arbitrary C code. (This is a more conveniently structured facility than the
core's PL_keyword_plugin API.) This module makes cv_set_call_parser and
several supporting functions available.

%prep
%setup -q -n Devel-CallParser-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.002-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.002-5
- Perl 5.22 rebuild
- Disable optional test BR Data::Alias

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.002-4
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.002-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.002-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.002-1
- 0.002 bump, bug fixes

* Tue Aug 06 2013 Petr Pisar <ppisar@redhat.com> - 0.001-6
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.001-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.001-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.001-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Petr Pisar <ppisar@redhat.com> - 0.001-2
- Perl 5.16 rebuild

* Mon May 21 2012 Jitka Plesnikova <jplesnik@redhat.com> 0.001-1
- Specfile autogenerated by cpanspec 1.78.
